package de.ivu.elect.jee.memory;

import java.io.Serializable;

public class GcData implements Serializable {

  private final long collectionCount;

  private final long collectionTime;

  public GcData(long collectionCount, long collectionTime) {
    this.collectionCount = collectionCount;
    this.collectionTime = collectionTime;
  }

  public long getCollectionCount() {
    return collectionCount;
  }

  public long getCollectionTime() {
    return collectionTime;
  }

  @Override
  public String toString() {
    return "GcData{" +
        "collectionCount=" + collectionCount +
        ", collectionTime=" + collectionTime +
        '}';
  }
}
